Bug 103644 - URL Schemes vnd.sun.star.webdav and vnd.sun.star.webdavs aren't in Info.plist
Summary: URL Schemes vnd.sun.star.webdav and vnd.sun.star.webdavs aren't in Info.plist
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Installation (show other bugs)
Version:
(earliest affected)
Inherited From OOo
Hardware: All Mac OS X (All)
: low trivial
Assignee: Not Assigned
URL:
Whiteboard: AppleAppStore target:7.0.0
Keywords:
Depends on:
Blocks: Installer
  Show dependency treegraph
 
Reported: 2016-11-02 10:05 UTC by vladislav.kuzma
Modified: 2020-05-20 20:52 UTC (History)
1 user (show)

See Also:
Crash report or crash signature:


Attachments
LibreOffice Vanilla supported URL Schemes (149.37 KB, image/png)
2016-11-02 10:05 UTC, vladislav.kuzma
Details

Note You need to log in before you can comment on or make changes to this bug.
Description vladislav.kuzma 2016-11-02 10:05:00 UTC
Created attachment 128436 [details]
LibreOffice Vanilla supported URL Schemes

LibreOffice Vanilla: 5.2.1.4
macOS Sierra Version 10.12

After installation of LibreOffice custom URL protocols "vnd.sun.star.webdav" and "vnd.sun.star.webdavs" aren't in Info.plist file and therefore url links with these protocols aren't bound to LibreOffice.

As for https://wiki.documentfoundation.org/ReleaseNotes/5.1#WebDav_Improvements LibreOffice supports this protocols and would be nice to open such url's with LibreOffice by default.

For Windows and Linux are workarounds described in this bugs (bug 98881 and bug 65261).
For MacOS after adding "vnd.sun.star.webdav" and "vnd.sun.star.webdavs" to URL Schemes in Info.plist, LibreOffice stops opening with error: "Sandbox registration failed: The code signature is not valid: The operation couldn't be completed. (OSStatus error -67030)"
Comment 1 Julien Nabet 2016-11-02 17:42:41 UTC
Andras: having noticed you had made some changes about plist, thought you might be interested in this one.
Comment 2 QA Administrators 2017-11-03 08:04:34 UTC Comment hidden (obsolete)
Comment 3 eisa01 2020-05-10 11:56:19 UTC
Still present

3.3 didn't have any URL Schemes defined in Info.plist

Should be a very simple issue to fix (almost a one-liner)
Comment 4 eisa01 2020-05-16 12:47:43 UTC
I have submitted a patch for this

https://gerrit.libreoffice.org/c/core/+/94359
Comment 5 Commit Notification 2020-05-16 18:40:21 UTC
Eivind Samseth committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/commit/32eac748c508640bec036975c0a91ea904c729a2

tdf#103644: Add support for vnd.sun.star.webdav on macOS

It will be available in 7.0.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 6 eisa01 2020-05-20 20:52:41 UTC
So this should in principle be fixed. LO opens if I feed the vnd.sun.star.webdav:// url scheme in Safari

As I don't use this myself I can't verify that LO handles it properly internally though